Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.flow
Class FlowConnectorProps

    java.lang.Object
      cascading.property.Props
          cascading.flow.FlowConnectorProps

    public class FlowConnectorProps

extends Props

The class FlowConnectorProps is a fluent helper class for setting `FlowConnector` specific properties through the `FlowConnector` constructor.

See Also:
  `AppProps`, `CascadeProps`, `FlowProps`

Field Summary
`static String` | `ASSERTION_LEVEL`
`static String` | `DEBUG_LEVEL`
`static String` | `INTERMEDIATE_SCHEME_CLASS`

Constructor Summary
`FlowConnectorProps()`

Method Summary
`protected void` | `addPropertiesTo(Properties properties)`
`AssertionLevel` | `getAssertionLevel()`
`DebugLevel` | `getDebugLevel()`
`String` | `getIntermediateSchemeClassName()`
`FlowConnectorProps` | `setAssertionLevel(AssertionLevel assertionLevel)`
`static void` | `setAssertionLevel(Map<Object,Object> properties, AssertionLevel assertionLevel)` Method setAssertionLevel sets the target planner `AssertionLevel`.
`FlowConnectorProps` | `setDebugLevel(DebugLevel debugLevel)`
`static void` | `setDebugLevel(Map<Object,Object> properties, DebugLevel debugLevel)` Method setDebugLevel sets the target planner `DebugLevel`.
`static void` | `setIntermediateSchemeClass(Map<Object,Object> properties, Class<? extends Scheme> intermediateSchemeClass)` Method setIntermediateSchemeClass is used for debugging.
`static void` | `setIntermediateSchemeClass(Map<Object,Object> properties, String intermediateSchemeClass)` Method setIntermediateSchemeClass is used for debugging.
`FlowConnectorProps` | `setIntermediateSchemeClassName(Class<Scheme> intermediateSchemeClass)`
`FlowConnectorProps` | `setIntermediateSchemeClassName(String intermediateSchemeClassName)`

Methods inherited from class cascading.property.Props
`buildProperties, buildProperties, buildProperties, buildProperties, setProperties, setProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ASSERTION_LEVEL

    public static final String ASSERTION_LEVEL

See Also:
  Constant Field Values

### DEBUG_LEVEL

    public static final String DEBUG_LEVEL

See Also:
  Constant Field Values

### INTERMEDIATE_SCHEME_CLASS

    public static final String INTERMEDIATE_SCHEME_CLASS

See Also:
  Constant Field Values

Constructor Detail

### FlowConnectorProps

    public FlowConnectorProps()

Method Detail

### setAssertionLevel

    public static void setAssertionLevel(Map<Object,Object> properties,
                                         AssertionLevel assertionLevel)

  Method setAssertionLevel sets the target planner `AssertionLevel`.

  Parameters:
    `properties` - of type Map
    `assertionLevel` - of type AssertionLevel

### setDebugLevel

    public static void setDebugLevel(Map<Object,Object> properties,
                                     DebugLevel debugLevel)

  Method setDebugLevel sets the target planner `DebugLevel`.

  Parameters:
    `properties` - of type Map
    `debugLevel` - of type DebugLevel

### setIntermediateSchemeClass

    public static void setIntermediateSchemeClass(Map<Object,Object> properties,
                                                  Class<? extends Scheme> intermediateSchemeClass)

  Method setIntermediateSchemeClass is used for debugging.

  Parameters:
    `properties` - of type Map
    `intermediateSchemeClass` - of type Class

### setIntermediateSchemeClass

    public static void setIntermediateSchemeClass(Map<Object,Object> properties,
                                                  String intermediateSchemeClass)

  Method setIntermediateSchemeClass is used for debugging.

  Parameters:
    `properties` - of type Map
    `intermediateSchemeClass` - of type String

### getAssertionLevel

    public AssertionLevel getAssertionLevel()

### setAssertionLevel

    public FlowConnectorProps setAssertionLevel(AssertionLevel assertionLevel)

### getDebugLevel

    public DebugLevel getDebugLevel()

### setDebugLevel

    public FlowConnectorProps setDebugLevel(DebugLevel debugLevel)

### getIntermediateSchemeClassName

    public String getIntermediateSchemeClassName()

### setIntermediateSchemeClassName

    public FlowConnectorProps setIntermediateSchemeClassName(String intermediateSchemeClassName)

### setIntermediateSchemeClassName

    public FlowConnectorProps setIntermediateSchemeClassName(Class<Scheme> intermediateSchemeClass)

### addPropertiesTo

    protected void addPropertiesTo(Properties properties)

  Specified by:
    `addPropertiesTo` in class `Props`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.